
public abstract class Class250 {

   static int anInt2971;


   abstract void method4463(int var1, byte var2);

   abstract Class333 method4464(int var1);

   abstract byte[] method4465(int var1, int var2);

   abstract Class333 method4466();

   abstract int method4467(int var1);

   abstract int method4468(int var1, int var2);

   abstract byte[] method4469(int var1);

   abstract byte[] method4470(int var1);

   abstract void method4471(int var1);

   abstract void method4472(int var1);

   static final void method4473(Class508 var0, short var1) {
      if(client.aString7904 != null) {
         if(var1 != 1024) {
            return;
         }

         var0.anObjectArray6004[(var0.anInt6005 += -46848683) * 639741949 - 1] = Class310.method5544(client.aString7904, -802562805);
      } else {
         var0.anObjectArray6004[(var0.anInt6005 += -46848683) * 639741949 - 1] = "";
      }

   }

   static final void method4474(Class508 var0, byte var1) {
      int var2 = var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807];
      Class42 var3 = Class94.method1841(var2, (byte)-25);
      String var4 = "";
      if(null != var3) {
         if(var1 <= 3) {
            return;
         }

         if(var3.aString452 != null) {
            if(var1 <= 3) {
               ;
            }

            var4 = var3.aString452;
         }
      }

      var0.anObjectArray6004[(var0.anInt6005 += -46848683) * 639741949 - 1] = var4;
   }

   static final void method4475(Class508 var0, int var1) {
      int var2 = var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807];
      if(2 == 995204269 * client.anInt7769 && var2 < client.anInt7651 * 1907362565) {
         var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = -1166196519 * client.aClass13Array7931[var2].anInt173;
      } else {
         var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = 0;
      }

   }

   public static void method4476(int var0, int var1, byte var2) {
      Class225_Sub14_Sub2 var3 = Class49.method1193(18, (long)var1 << 32 | (long)var0);
      var3.method15501(-783231037);
   }
}
